﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace ScrollingDemo
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class BlankPage1 : Page
    {
        public BlankPage1()
        {
            this.InitializeComponent();
        }
    }

    public class ViewModel
    {
        public ViewModel()
        {
            AveragesData = new ObservableCollection<InternodeUsage>();
            AveragesData.Add(new InternodeUsage() { Text = "So far", Total = 20 });
            AveragesData.Add(new InternodeUsage() { Text = "Start of month", Total = 30 });
            AveragesData.Add(new InternodeUsage() { Text = "Rest of month", Total = 10 });
            AveragesData.Add(new InternodeUsage() { Text = "Today", Total = 60 });
        }

        public ObservableCollection<InternodeUsage> AveragesData { get; set; }
    }

    public class InternodeUsage
    {
        public string Text { get; set; }

        public double Total { get; set; }
    }
}
